Questions tagged [ubuntu]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0
votes
0answers
51 views

Emacs default font change in Ubuntu 19.04

I upgrades Ubuntu to 19.04, and it appears that the default font in Emacs has changed. Is it just me, or is it an Ubuntu/Debian change? Or has there been a change upsteram? Also, what is the name of ...
0
votes
1answer
58 views

Emacs installed with the Ubuntu application manager runs but isn't in the $PATH. Where is it?

Emacs 26.2 is installed with the application manager, not apt-get. When calling it in the terminal I get : samusz@samusz-K55:~$ emacs La commande « emacs » n'a pas été trouvée, mais peut être ...
0
votes
0answers
113 views

How to get Emacs use the Ubuntu login password for tramp

Ubuntu 16.04 Emacs 26.1 Emacs needs to open the file with root privileges. Here is my code: (secrets-delete-item "session" "Login") (secrets-create-item "session" "Login" "myParol" :method "sudo" ...
2
votes
0answers
104 views

Executing buffer twice in Python 3

I set up an environment to write Python 3 Code in my emacs (25.2.2) using python-mode and Elpy on Ubuntu 18.04. Strangely every time I use Python --> Send --> Execute Buffer the program is executed ...
0
votes
1answer
94 views

Emacs multi-term support for version 25 - Ubuntu 18.04

The requirement is to enable multi-te m support for emacs package. Bydefault in Ubuntu 18.04 default emacs coming with v25, but in this version, I'm unable to enable the multi-term support ( for more ...
0
votes
0answers
29 views

Emacs report a process which does not exist

When start Emacs from the terminal as me@mbp: ~$ emacs --deamon It prompts that However, there does not exist such a pocesses me@mbp~$ ps 8559 PID TTY STAT TIME COMMAND me@mbp:~$ ps -el ...
0
votes
2answers
130 views

plantuml requires a header argument (Emacs 24 on Windows' Ubuntu Subsystem)

I'm trying to output images using plantuml-mode. It seems I have plantuml-mode installed successfully, as I can activate the major mode, but I am unable to evaluate using C-c C-c: PlantUML requires ...
1
vote
0answers
61 views

Adjusting to screen resolution changes on GNU/Linux/ubuntu/gnome

I'm running emacs 26.1 on ubuntu 18.04 on a Dell laptop with a high-resolution display. It works very well in that configuration. It also works very well when the laptop is plugged into a lower-...
0
votes
0answers
86 views

Using Tabs as indentation with Cython emacs

Under my home directory I have a .emacs file which has the following lines - (add-to-list 'load-path "~/.emacs.d/") (require 'cython-mode) and under the .emacs.d directory I have this file - cython-...
0
votes
1answer
460 views

ESS install fails on Ubuntu 18.04

I had previously installed and used Emacs 25.2.2 and ESS 17.11 on Ubuntu 18.04 (Bionic Beaver). While attempting to update to the latest version of ESS, the ESS install script appears to have failed (...
0
votes
1answer
407 views

ESS not installable (Ubuntu 18.04)

The day before yesterday, I have experienced my Ubuntu package ess (Version: 17.11-3bionic0) no more configuring properly during apt-get update. I then tried apt-get install -d ess and: dpkg -i /var/...
0
votes
1answer
76 views

How to open Emacs (Terminal) using key combinations?

On Ubuntu, to open the Terminal, we press Ctrl + Alt + t. Do there exist key combinations to open Emacs Terminal (without GUI)?
0
votes
1answer
305 views

Can not activate a virtual environment in emacs, but can through the usual shell

I created a virtual environment that I can activate used a command line from Terminal (Ubuntu): source/bin activate I did what follows to achieve the same on emacs: M-! then source/bin activate ...
2
votes
1answer
397 views

elpa certificate could not be verified

When I run package-list-packages, I'm getting an error: The TLS connection to elpa.gnu.org:443 is insecure for the following reason: certificate could not be verified I found a few other ...
0
votes
0answers
71 views

What is this mini pop-up box and how do I get rid of it?

I don't know what combination of keys I pressed to bring up this mini-box, but it's annoying me. What is it and how do I get rid of it? EDIT: It pops up when I press C-S-u
0
votes
0answers
866 views

Use pylint3 for checking Python 3 code using flycheck

By default, flycheck uses pylint for checking python code. However, the pylint program on Debian/Ubuntu is for checking Python 2, not Python3 (there is instead pylint3 for Python3). How do I ...
1
vote
1answer
80 views

How do I resolve Ubuntu 16.04 emacs v46.1 default versus compiled v25.2-1 “downgrade”? [closed]

I'm working for the first time on an Ubuntu 16.04 LTS machine, and honestly I'm not sure if this is an emacs build/debian package question or if it's an Ubuntu 16.04 question. Please nudge me in the ...
1
vote
2answers
110 views

Emacs directory is not readable on Ubuntu

When I start Emacs 25 on Ubuntu, I get this message: cannot open load file permission non accordée , mode-util With emacs25 -debug I've got: Warning: Lisp directory '/usr/share/emacs/25.2/lisp': ...
1
vote
1answer
439 views

emacs minimal install for Ubuntu server use

Is there a minimal version of emacs? When using apt get install emacs24 on a 16.04 LTS machine the packet manager propose me to install 200 MB worth of stuff... The following NEW packages will be ...
1
vote
0answers
131 views

Key bindings are not recognized with non-Latin keyboard layouts on Ubuntu

A lot of times I have to change the input language of the keyboard (from English to a different one) causing the problem of the Emacs commands to not be recognized. Normally when you press Ctrl+A you ...
0
votes
0answers
60 views

How to specify the geometry of the *tex-shell* frame?

I'm using Emacs 24 in Ubuntu 14.04 and when first compiling a TeX file after start up, a frame called *tex-shell* is automatically opened and all further compilation processes run in this frame. I ...
1
vote
2answers
3k views

No such file or directory error on executing script

I use GNU Emacs 24.3.1 on Ubuntu 14.04 and I have a bash script: ~/path/to the/script/test.sh. As you see the path has space character. Script has a simple content: ENTRY=`zenity --password --...
1
vote
0answers
162 views

Emacs times out trying to read from /dev/tty on startup?

After several years of being annoyed of Emacs on Ubuntu (not Mac via brew) having a ~2-3 second delay before displaying file contents at startup I finally decided to debug this. I ran strace -r emacs ...
0
votes
1answer
234 views

Upgrade to 16.04 incomplete because of Xemacs

Yesterday, I ran an upgrade from 12.04.5 over 14.04.5 to 16.04.1. The first step (12.04.5 --> 14.04.5) worked quite well, no relevant problems. But the second step failed due to problems with some ...
0
votes
1answer
123 views

emacs interface to ubuntu package management (apt, dpkg)

Is there an emacs library for managing packages on Ubuntu, ie an emacs based alternative to synaptic and aptitude? Presumably this would be an elisp wrapper around apt, dpkg and friends and look ...
0
votes
2answers
867 views

Page up in Mac OS X and in Ubuntu under Virtualbox in Mac OS X?

What are the keystrokes for page up In Mac OS X, In Ubuntu installed in Virtualbox in Mac OS X? both alt-V and command-V don't perform page-up. I am running emacs in a terminal emulator. Thanks....
6
votes
2answers
373 views

Emacs is garbled by output of a background process running in the same terminal emulator

My Emacs is running in foreground in terminal emulator, where I am also running some background processes. My Emacs is garbled by the stdout and stderr output of the background process. Besides ...
1
vote
1answer
765 views

ncurses-like based applications won't work in emacs terminals

No *curses applications (like top, htop, Linux kernel's make menuconfig and others) will work under emacs' different terms. However, the only one which seems to work is git add -i It behaves the same ...
3
votes
1answer
613 views

Replace whole words only

I want to replace all occurrences of a word in the whole buffer. What i do is: M-x replace-string RET word-to-be-replaced RET new-word The problem with this is that it also changes the word-to-be-...
0
votes
0answers
205 views

Emacs+Python+Pygame segmentation fault (core dumped)

I am using Emacs 24.5.1 for writing something in pygame in python 2.7.11. Very often (precisely speaking every second time!) when I try to evaluate the buffer (the whole file) with C-c C-c everything ...
1
vote
1answer
300 views

Why won't “fg” reopen emacs after C-z? [closed]

I open a terminal and type fg like it says but it says no current process. I also tried %emacs and got the same. I'm on trusty tahr 14.04, anyone else got this? *edit: I was following the built-in ...
2
votes
1answer
282 views

Enable greek spellchecking

How can I enable greek language spellchecking in Emacs to be the default spellchecking language, and how can change spellchecking between greek and english language? (My system is Ubuntu 14.04 64bit)....
2
votes
0answers
709 views

emacs-snapshot from Ubuntu PPA is currently totally broken [closed]

I have updated emacs-snapshot earlier today and it broke my Emacs installation into pieces (it is Ubuntu 14.04). It somehow removed whole emacs24 package so now I have no even emacs-client installed. ...
1
vote
3answers
920 views

Colors illegible after upgrading OS

After having upgraded a computer from Ubuntu 15.04 to 15.10 the colors in Emacs (which I run in the terminal with --no-window-system) have changed substantially and some text is now illegible. I would ...
0
votes
1answer
452 views

Forgot to expand macro

I just installed emacs24 on my Ubuntu 14.04 LTS OS as follows: $ sudo apt-get install emacs24 When I open emacs, I get the following errors (duplicate messages removed): eieio/eieio.elc:Error: ...
6
votes
2answers
213 views

some unicode characters such as “⊆” occupy 3 lines in emacs 24.4.1 on ubuntu gnome 15.04 64bit

Not every unicode character occupies 3 lines, but '⊆', '∈', and other unicode mathematical symbols occupy 3 lines in emacs on my system. How can I fix this rendering bug?
26
votes
4answers
16k views

Prebuilt Ubuntu Emacs “25.1”

Where can I find pre-built Emacs for what Ubuntu calls emacs 25.1?
1
vote
2answers
930 views

Should I update or install emacs and related packages?

Emacs site says: The current stable release is 24.4 (released October 20, 2014; see also dates of older releases). I have installed it on my Ubuntu 14.04, by downloading the source from the emacs ...